<?php
if(!isset($id)) $id = '';
if(!isset($label)) $label = '';
if(!isset($class_chain)) $class_chain = '';
if(!isset($name)) $name = '';
if(!isset($error)) $error = '';
if(!isset($value)) $value = '';
if(!isset($repeatable)) $repeatable = '';
if(!isset($affectable)) $affectable = '';
if(!isset($inlineblock)) $inlineblock = '';
if(!isset($affects)) $affects = '';
if(!isset($table)) $table = '';
if(!isset($options)) $options = array();
if(!isset($prefixoptions)) $prefixoptions = array();
if(!isset($prefixid)) $prefixid = '';
if(!isset($count)) $count = 0;
$isRequired = false;

if(stripos($class_chain, 'required') !== FALSE) {
    
    $isRequired = true;
}

$labels = Utils_Labels::get();
if(!isset($index)) {
    global $dataindex;
    $dataindex++;
} else {
    $dataindex = $index;
}


$class = 'data_'.$dataindex;
if (isset($container_class)) {
    $class .= ' ' . $container_class;
}

list($group, $subgroup) = explode('-', $id);
$currentType = @Entity_Form_EmployeeApply::$fields[$group]['items'][$subgroup]['html_type'];
if(!$currentType) $currentType = 'text';

$hint = @$labels["CxWpPlugin.hints.{$group}.{$subgroup}"];

if(!$hint) $hint = '';
?>

<div class='<?php echo $class; ?>'>
<label for="<?php echo $id; ?>"><?php echo $label; ?></label>

<input autocomplete="off"  <?php if(@$disabled) echo 'disabled'; ?> <?php if($inlineblock) echo "style='display: inline-block;'" ;?>  class="<?php echo $class_chain; ?>" type="<?php echo $currentType; ?>" id="<?php echo $id; ?>" data-index="<?php echo $dataindex; ?>" name="<?php echo $name; ?>" value="<?php echo $value; ?>" />
<?php 
if(strlen(trim($hint)) > 0):
    echo "<div class='cx_hint'>$hint</div>";
endif;
if(strlen(trim($error))>0): 
	echo "<div class='error'>$error</div>";
endif;
?>

<?php 
$disabled = $disabled ? 'disabled' : '';
if($prefixoptions): 
$data['options'] = $prefixoptions;
$data['name'] = 'type-'.$name;
$data['prefixname'] = $prefixid;
$data['inlineblock'] = true;
$data['disabled'] = @$disabled;
$data['value'] = @$child;
$data['emailTypes'] = @$emailTypes;

$inlineblock = true;
$template = new Utils_Template('applyform/system_radio');
$template->with($data)->display();
endif; ?>
<?php
    $style = 'display: none;';
    if($value && !$isRequired && @$count !== 0) $style = '';
    echo '<a data-index="'.$dataindex.'" href="#" data-remove="'.$id.'" class="derepeat '.$id.' '.$class.'" style="'.$style.'"><i class="fa fa-minus"></i> '.$labels['general.button.remove'].'</a>';
?>
</div>
<?php

if($repeatable && !$disabled):
    echo '<a data-index="'.$dataindex.'" href="#" data-repeats="'.$id.'" class="repeat '.$id.' '.$class.'"><i class="fa fa-plus"></i> '.$labels['general.button.add'].'</a>';
endif;
?>